---
title: SVG Conditional Processing Attributes
slug: Web/SVG/Attribute/Conditional_Processing
tags:
  - Intermediate
  - NeedsExample
  - Property
  - Reference
  - SVG
---
<p>The SVG conditional processing attributes are all the attributes that can be specified on some SVG elements to control whether or not the element on which it appears should be rendered.</p>

<div class="index">
<ul>
 <li><a href="#attr-externalResourcesRequired">externalResourcesRequired</a></li>
 <li><a href="#attr-requiredExtensions">requiredExtensions</a></li>
 <li><a href="#attr-requiredFeatures">requiredFeatures</a></li>
 <li><a href="#attr-systemLanguage">systemLanguage</a></li>
</ul>
</div>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt id="attr-externalResourcesRequired">{{SVGAttr('externalResourcesRequired')}} {{deprecated_inline('svg2')}}</dt>
 <dd>If set to <code>true</code>, it indicates that the browser must wait for all the external resources necessary to render that element to be loaded before processing the associated element.<br>
 <small><em>Value</em>: <strong><code>false</code></strong>|<code>true</code>; <em>Animatable</em>: <strong>No</strong></small></dd>
 <dt id="attr-requiredExtensions">{{SVGAttr('requiredExtensions')}}</dt>
 <dd>List all the browser specific capabilities that must be supported by the borwser to be allowed to render the associated element.<br>
 <small><em>Value</em>: A list of space-separated URI; <em>Animatable</em>: <strong>No</strong></small></dd>
 <dt id="attr-requiredFeatures">{{SVGAttr('requiredFeatures')}} {{deprecated_inline('svg2')}}</dt>
 <dd>List all the features, <a href="https://www.w3.org/TR/SVG11/feature.html">as defined is the SVG 1.1 specification</a>, that must be supported by the borwser to be allowed to render the associated element..<br>
 <small><em>Value</em>: A list of space-separated URI; <em>Animatable</em>: <strong>No</strong></small></dd>
 <dt id="attr-systemLanguage">{{SVGAttr('systemLanguage')}}</dt>
 <dd>Indicates which language the user must have chosen to render the associated element.<br>
 <small><em>Value</em>: <a href="http://www.ietf.org/rfc/bcp/bcp47.txt">A list of comma-separated language ID</a>; <em>Animatable</em>: <strong>No</strong></small></dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.conditional_processing")}}</p>
